Skip to main content
GET
/
v1
/
executions
/
{executionId}
Get Execution
curl --request GET \
  --url https://api.anchorbrowser.io/v1/executions/{executionId} \
  --header 'anchor-api-key: <api-key>'
{
  "id": "<string>",
  "taskId": "<string>",
  "taskVersionId": "<string>",
  "version": "<string>",
  "isDraft": true,
  "output": "<string>",
  "errorMessage": "<string>",
  "browserSessionId": "<string>",
  "startTime": "<string>",
  "executionTime": 123,
  "hasLogs": true,
  "inputs": {},
  "toolName": "<string>",
  "toolPublicId": "<string>",
  "tags": [
    "<string>"
  ]
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

executionId
string
required

The execution result ID.

Response

Execution retrieved successfully.

id
string
taskId
string
taskVersionId
string
version
string
isDraft
boolean
status
enum<string>
Available options:
success,
failure,
timeout,
cancelled,
queued,
running
output
string | null

Execution output (secret values redacted).

errorMessage
string | null
browserSessionId
string | null
startTime
string

ISO 8601 start timestamp.

executionTime
number | null

Execution duration in milliseconds.

hasLogs
boolean
inputs
object

Input parameters used for the run (secret values redacted).

toolName
string | null
toolPublicId
string | null
tags
string[]